package apps.yesim.util.param;

import java.util.HashMap;
import java.util.Map;

import javax.inject.Singleton;

import lombok.Getter;
import lombok.Setter;

/**
 * 
 * @author cardelli
 *
 */
@Singleton
public class LoginParams implements Param{


	@Getter @Setter private String email;

	@Getter @Setter
	private String password;
	
	
	@Override
	public String toString() {
		
		return
				"\n[Parâmetros] \n\n - E-Mail: " + email +
				"\n - Password: " + password +
				"\n ";
		
		
	}

	@Override
	public void clean() {
		email = new String();
		password = new String();
		
	}

	@Override
	public Map<String,Object> getMap() {
		Map mapa = new HashMap();
		mapa.put("email", email);
		mapa.put("password", password);
		return mapa;
	}	
	
}
