package apps.yesim.security;
import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

import javax.inject.Singleton;

import org.apache.shiro.realm.Realm;
import org.apache.shiro.realm.RealmFactory;

/**
 * 
 * @author Gabriel Cardelli
 *
 */

@Singleton
public class JpaRealmFactory  implements RealmFactory  {

	public Collection<Realm> getRealms() {
	
		List<Realm> realms = new ArrayList<Realm>();
		JpaRealm realm = new JpaRealm();
		realms.add( realm );
		return realms;
		
	}

}
